<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.FC ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="BCD_Wert" Datatype="Word" />
  </Section>
  <Section Name="Output">
    <Member Name="Int_Wert" Datatype="Int" />
  </Section>
  <Section Name="InOut" />
  <Section Name="Temp">
    <Member Name="BCD_Vergleich" Datatype="Word" />
    <Member Name="Multiplikator" Datatype="Int" />
  </Section>
  <Section Name="Constant" />
  <Section Name="Return">
    <Member Name="Ret_Val" Datatype="Void" />
  </Section>
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>BCD (4stellig)_to_INT</Name>
      <Namespace />
      <Number>78</Number>
      <ProgrammingLanguage>STL</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>
</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <SW.Blocks.CompileUnit ID="5" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="22">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>0</ConstantValue>
      </Constant>
      <LineComment>
        <Text>erst mal köschen</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="25">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="21">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="27">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>1</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="6" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="7" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="8" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="9" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="A" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Rückmeldung</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="E" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="28">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="BCD_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="30">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="BCD_Vergleich" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="32">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#000F</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="AW" />
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="23">
    <StlToken Text="MUL_I" />
  </StlStatement>
  <StlStatement UId="36">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="24">
    <StlToken Text="ADD_I" />
  </StlStatement>
  <StlStatement UId="25">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="82">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="83">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>16</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="86">
    <StlToken Text="MUL_I" />
  </StlStatement>
  <StlStatement UId="87">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="21">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="40">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="BCD_Vergleich" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="42">
    <StlToken Text="SRW" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>4</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="44">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="BCD_Vergleich" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="46">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="47">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#000F</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="49">
    <StlToken Text="AW" />
  </StlStatement>
  <StlStatement UId="50">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="52">
    <StlToken Text="MUL_I" />
  </StlStatement>
  <StlStatement UId="53">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="ADD_I" />
  </StlStatement>
  <StlStatement UId="56">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="58">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="59">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="61">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>16</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="63">
    <StlToken Text="MUL_I" />
  </StlStatement>
  <StlStatement UId="64">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="67">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="68">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="BCD_Vergleich" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="70">
    <StlToken Text="SRW" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>4</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="72">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="BCD_Vergleich" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="74">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="75">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#000F</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="77">
    <StlToken Text="AW" />
  </StlStatement>
  <StlStatement UId="78">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="80">
    <StlToken Text="MUL_I" />
  </StlStatement>
  <StlStatement UId="81">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="90">
    <StlToken Text="ADD_I" />
  </StlStatement>
  <StlStatement UId="91">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="38">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="66">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="94">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>16</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="96">
    <StlToken Text="MUL_I" />
  </StlStatement>
  <StlStatement UId="97">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="99">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="100">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="BCD_Vergleich" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="102">
    <StlToken Text="SRW" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>4</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="104">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="BCD_Vergleich" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="106">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="107">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#000F</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="109">
    <StlToken Text="AW" />
  </StlStatement>
  <StlStatement UId="110">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Multiplikator" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="112">
    <StlToken Text="MUL_I" />
  </StlStatement>
  <StlStatement UId="113">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="115">
    <StlToken Text="ADD_I" />
  </StlStatement>
  <StlStatement UId="116">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Int_Wert" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="27">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="F" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="10" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="11" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="12" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="13" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="14" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="15" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>BCD-Wert wandeln</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="16" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="17" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="114">
    <StlToken Text="BE" />
  </StlStatement>
  <StlStatement UId="115">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="18" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="19" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1A" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1B" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="1C" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="1D" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1E" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ende</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1F" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <MultilingualText ID="20" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="21" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="22" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>BCD-Wert (2-Stellig) in INT-Wert wandeln (Max 00FF)</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="23" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.FC>
</Document>